## org.apache.fop.fo.pagination
Class PageSequence

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.pagination.PageSequence

public class PageSequence
extends FObj

This provides pagination of flows onto pages. Much of the logic for paginating flows is contained in this class. The main entry point is the format method.

Inner Class Summary
`static class` `PageSequence.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`protected` `PageSequence(FObj parent, PropertyList propertyList)`

Method Summary
`void` `addFlow(Flow flow)`
`void` `format(AreaTree areaTree)` Runs the formatting of this page sequence into the given area tree
`boolean` `isFlowSet()`
`static FObj.Maker` `maker()`
`void` `setIsFlowSet(boolean isFlowSet)`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, layout, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageSequence

    protected PageSequence(FObj parent,
                           PropertyList propertyList)
                    throws FOPException

Method Detail

### maker

    public static FObj.Maker maker()

### addFlow

    public void addFlow(Flow flow)
                 throws FOPException

### format

    public void format(AreaTree areaTree)
                throws FOPException

  Runs the formatting of this page sequence into the given area tree

### isFlowSet

    public boolean isFlowSet()

### setIsFlowSet

    public void setIsFlowSet(boolean isFlowSet)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.